Debian Bug report logs - #509321
lynx-cur: Visiting http://reddit.com/ causes segfault.

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Aaron Howell <aaron@kitten.net.au>

Date: Sun, 21 Dec 2008 08:57:01 UTC

Severity: normal

Found in version lynx-cur/2.8.7dev11-1

Fixed in version lynx-cur/2.8.7dev11-2

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#509321; Package lynx-cur. (Sun, 21 Dec 2008 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aaron Howell <aaron@kitten.net.au>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 21 Dec 2008 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Howell <aaron@kitten.net.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Sun, 21 Dec 2008 18:50:38 +1000
Package: lynx-cur
Version: 2.8.7dev11-1
Severity: normal

When you visit http://reddit.com/, either from the command line or from the goto option within Lynx,
Lynx crashes immediately with signal 11.
For this particular site, the problem can be worked around by adding www. to the url,
however the problem occurs with other sites as well, its just that this one is particularly easy to verify.
Seems to happen 100% of the time.
This problem is new to this version of Lynx, the previous lynx-cur package was ok.
Also, I tried unsetting the LANG environment variable in case it was something to do with my default language being set to Australian but this made no difference.


-- System Information:
Debian Release: 5.0
  APT prefers experimental
  APT policy: (1000, 'experimental'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages lynx-cur depends on:
ii  debconf [debconf-2.0]  1.5.24            Debian configuration management sy
ii  libc6                  2.8+20080809-1    GNU C Library: Shared libraries
ii  libgcrypt11            1.4.3-1           LGPL Crypto library - runtime libr
ii  libgnutls26            2.6.2-2           the GNU TLS library - runtime libr
ii  libncursesw5           5.7+20081213-1    shared libraries for terminal hand
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages lynx-cur recommends:
ii  mime-support                  3.44-1     MIME files 'mime.types' & 'mailcap

Versions of packages lynx-cur suggests:
pn  lynx-cur-wrapper              <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#509321; Package lynx-cur. (Mon, 22 Dec 2008 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 22 Dec 2008 11:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 509321@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: aaron@kitten.net.au, 509321@bugs.debian.org
Subject: Re: Bug#509321: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Mon, 22 Dec 2008 20:28:43 +0900 (JST)
Hi Aaron,

On Sun, 21 Dec 2008 18:50:38 +1000, Aaron Howell wrote:

> When you visit http://reddit.com/, either from the command line or from the goto option within Lynx,
> Lynx crashes immediately with signal 11.
> For this particular site, the problem can be worked around by adding www. to the url,
> however the problem occurs with other sites as well, its just that this one is particularly easy to verify.

I confirmed the problem and forwarded this to the upstream.
I hope this will be fixed soon.

Thanks for your report.

Regards,			2008-12-22(Mon)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Message sent on to Aaron Howell <aaron@kitten.net.au>:
Bug#509321. (Mon, 22 Dec 2008 12:24:05 GMT) Full text and rfc822 format available.

Message #13 received at 509321-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Aaron Howell <aaron@kitten.net.au>, 509321-submitter@bugs.debian.org
Subject: Re: Bug#509321: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Mon, 22 Dec 2008 07:22:32 -0500
[Message part 1 (text/plain, inline)]
On Sun, Dec 21, 2008 at 10:10:08AM +0100, Aaron Howell wrote:
> Package: lynx-cur
> Version: 2.8.7dev11-1
> Severity: normal
> 
> When you visit http://reddit.com/, either from the command line or from the goto option within Lynx,
> Lynx crashes immediately with signal 11.
> For this particular site, the problem can be worked around by adding www. to the url,
> however the problem occurs with other sites as well, its just that this one is particularly easy to verify.
> Seems to happen 100% of the time.

I can reproduce this (will fix).  thanks.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Aaron Howell <aaron@kitten.net.au>:
Bug#509321. (Mon, 22 Dec 2008 22:57:05 GMT) Full text and rfc822 format available.

Message #16 received at 509321-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 509321-submitter@bugs.debian.org, Lynx Development <lynx-dev@nongnu.org>
Subject: Re: Bug#509321: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Mon, 22 Dec 2008 17:52:19 -0500
[Message part 1 (text/plain, inline)]
On Mon, Dec 22, 2008 at 12:40:10PM +0100, Atsuhito Kohda wrote:
> Hi Aaron,
> 
> On Sun, 21 Dec 2008 18:50:38 +1000, Aaron Howell wrote:
> 
> > When you visit http://reddit.com/, either from the command line or from the goto option within Lynx,
> > Lynx crashes immediately with signal 11.
> > For this particular site, the problem can be worked around by adding www. to the url,
> > however the problem occurs with other sites as well, its just that this one is particularly easy to verify.
> 
> I confirmed the problem and forwarded this to the upstream.
> I hope this will be fixed soon.

It's a small fix:

--- WWW/Library/Implementation/HTFile.c.orig    Sun Dec  7 18:49:34 2008
+++ WWW/Library/Implementation/HTFile.c Mon Dec 22 22:46:33 2008
@@ -1336,8 +1336,10 @@
 {
     CompressFileType method = cftNone;

-    if (!strncasecomp(ct, "application/gzip", 16) ||
-       !strncasecomp(ct, "application/x-gzip", 18)) {
+    if (ct == 0) {
+       method = cftNone;
+    } else if (!strncasecomp(ct, "application/gzip", 16) ||
+              !strncasecomp(ct, "application/x-gzip", 18)) {
        method = cftGzip;
     } else if (!strncasecomp(ct, "application/compress", 20) ||
               !strncasecomp(ct, "application/x-compress", 22)) {


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Tue, 23 Dec 2008 09:12:09 GMT) Full text and rfc822 format available.

Notification sent to Aaron Howell <aaron@kitten.net.au>:
Bug acknowledged by developer. (Tue, 23 Dec 2008 09:12:09 GMT) Full text and rfc822 format available.

Message #21 received at 509321-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 509321-close@bugs.debian.org
Subject: Bug#509321: fixed in lynx-cur 2.8.7dev11-2
Date: Tue, 23 Dec 2008 08:47:18 +0000
Source: lynx-cur
Source-Version: 2.8.7dev11-2

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.7dev11-2_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.7dev11-2_all.deb
lynx-cur_2.8.7dev11-2.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev11-2.diff.gz
lynx-cur_2.8.7dev11-2.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev11-2.dsc
lynx-cur_2.8.7dev11-2_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev11-2_i386.deb
lynx_2.8.7dev11-2_all.deb
  to pool/main/l/lynx-cur/lynx_2.8.7dev11-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 509321@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Dec 2008 17:08:55 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.7dev11-2
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 509321 509411
Changes: 
 lynx-cur (2.8.7dev11-2) unstable; urgency=low
 .
   * Fix HTFile.c with a patch of Thomas Dickey.  (Closes: #509321)
   * Fix lynx.cur.wrapper so that it will read the default lynx.cfg
     (Closes: #509411)
Checksums-Sha1: 
 689dde2851120c22ac0d46b05b75d746cba178e6 1221 lynx-cur_2.8.7dev11-2.dsc
 128b770aa2f3c11f2157664b68ea1a0604b26727 30627 lynx-cur_2.8.7dev11-2.diff.gz
 8352dbbd8320dc95a9817a3ea32ebc0aae3d9ec2 16826 lynx-cur-wrapper_2.8.7dev11-2_all.deb
 26b56ace47d444eee4bb82799c065036520384c5 14284 lynx_2.8.7dev11-2_all.deb
 5f99767815f6fca2ff129a061a8c930a323aff8f 2036136 lynx-cur_2.8.7dev11-2_i386.deb
Checksums-Sha256: 
 38952553073c749738354640b40b253e81b568ac1b205ba080bc9d0fec520761 1221 lynx-cur_2.8.7dev11-2.dsc
 437e28e3d5e33fc65b0ca9784d3424b0ab1c5155f3ebd9e570a4cc7459359873 30627 lynx-cur_2.8.7dev11-2.diff.gz
 3f6ac8f9c094a19cb892d4856f9bb1f421c27e5d205135292b33ea8564b59767 16826 lynx-cur-wrapper_2.8.7dev11-2_all.deb
 5baf4c8ced738e1b0f2c64c9e8a2e0a9e1e9a08c0abf0259522b2486c47f807a 14284 lynx_2.8.7dev11-2_all.deb
 cbda0822e6abd4b854a2725a1710a7af918645ea75b2d3a6447266674c0caf14 2036136 lynx-cur_2.8.7dev11-2_i386.deb
Files: 
 6aa25101e5146cbeed459dfdddecd561 1221 web extra lynx-cur_2.8.7dev11-2.dsc
 c4cd299c52b99ad4c36c7e0e0e7a4e69 30627 web extra lynx-cur_2.8.7dev11-2.diff.gz
 81e797d200ad87fc3b98c4dc92a97c7d 16826 web extra lynx-cur-wrapper_2.8.7dev11-2_all.deb
 04f8cfe363c3d5511046f8630b28336b 14284 web extra lynx_2.8.7dev11-2_all.deb
 73e04d7a5d42117d5ca7597fafda3458 2036136 web extra lynx-cur_2.8.7dev11-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklQo3sACgkQ1IXdL1v6kOySpgCgjnibSU3dXsPhLz+4qgKJWze9
rawAnif/7vA86AshzOt5mnlJiJgGCnfy
=l1jU
-----END PGP SIGNATURE-----





Message sent on to Aaron Howell <aaron@kitten.net.au>:
Bug#509321. (Tue, 23 Dec 2008 12:27:11 GMT) Full text and rfc822 format available.

Message #24 received at 509321-submitter@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@radix.net
Cc: 509321-submitter@bugs.debian.org, lynx-dev@nongnu.org
Subject: Re: Bug#509321: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Tue, 23 Dec 2008 21:24:35 +0900 (JST)
Hi all,

On Mon, 22 Dec 2008 17:52:19 -0500, Thomas Dickey wrote:

> > I confirmed the problem and forwarded this to the upstream.
> > I hope this will be fixed soon.
> 
> It's a small fix:

Thanks, it really fixed the problem and I uploaded
a fixed version already.

Regards,			2008-12-23(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Message sent on to Aaron Howell <aaron@kitten.net.au>:
Bug#509321. (Tue, 23 Dec 2008 12:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 509321-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: dickey@radix.net, 509321-submitter@bugs.debian.org, lynx-dev@nongnu.org
Subject: Re: [Lynx-dev] Re: Bug#509321: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Tue, 23 Dec 2008 07:32:04 -0500 (EST)
On Tue, 23 Dec 2008, Atsuhito Kohda wrote:

> Hi all,
>
> On Mon, 22 Dec 2008 17:52:19 -0500, Thomas Dickey wrote:
>
>>> I confirmed the problem and forwarded this to the upstream.
>>> I hope this will be fixed soon.
>>
>> It's a small fix:
>
> Thanks, it really fixed the problem and I uploaded
> a fixed version already.

no problem (I'll be working on lynx over the next couple of days to
merge in this and other fixes, but this one needed prompt attention).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Aaron Howell <aaron@kitten.net.au>:
Bug#509321. (Tue, 23 Dec 2008 18:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 509321-submitter@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Thomas Dickey <dickey@radix.net>
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 509321-submitter@bugs.debian.org, Lynx Development <lynx-dev@nongnu.org>
Subject: Re: [Lynx-dev] Re: Bug#509321: lynx-cur: Visiting http://reddit.com/ causes segfault.
Date: Tue, 23 Dec 2008 18:35:37 +0000 (UTC)
Thomas Dickey dixit:

>+    if (ct == 0) {
>+       method = cftNone;
>+    } else if (!strncasecomp(ct, "application/gzip", 16) ||

Is it a string or a number? Please use NULL, not 0.

//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#509321; Package lynx-cur. (Fri, 26 Dec 2008 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 26 Dec 2008 13:48:02 GMT) Full text and rfc822 format available.

Message #35 received at 509321@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 509321@bugs.debian.org, lynx-dev@nongnu.org
Subject: maybe better HTContentTypeToCompressType patch?
Date: Fri, 26 Dec 2008 13:43:28 +0000 (UTC)
HTEncodingToCompressType has this redundant, should maybe fixed too:
• the { } are not needed
• assigning to result is redundant, it’s already initialised to cftNone
• we can shortcut the return

Index: HTFile.c
===================================================================
RCS file: /cvs/src/gnu/usr.bin/lynx/WWW/Library/Implementation/HTFile.c,v
retrieving revision 1.1.109.6
diff -u -p -r1.1.109.6 HTFile.c
--- HTFile.c	16 Dec 2008 23:13:07 -0000	1.1.109.6
+++ HTFile.c	26 Dec 2008 13:43:09 -0000
@@ -1336,6 +1336,8 @@ CompressFileType HTContentTypeToCompress
 {
     CompressFileType method = cftNone;
 
+    if (ct == NULL)
+	return cftNone;
     if (!strncasecomp(ct, "application/gzip", 16) ||
 	!strncasecomp(ct, "application/x-gzip", 18)) {
 	method = cftGzip;


//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Jan 2009 07:26:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:22:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.